<template>
  <va-modal
    v-model="showModal"
    color="dark"
    hide-default-actions
    :no-outside-dismiss="true"
    overlay-opacity="0.2"
  >
    <template #header>
      <h2 class="display-2">Set timer</h2>
    </template>
    <slot>
      <div class="row row">
        <div class="flex md12 mb-2">Welcome to Tick Tack timer!</div>
        <div class="flex md12 mb-2">
          Set the timer value. You can set hours, minutes and seconds.
        </div>
        <div class="flex md12 mb-2">
          <tick-tack />
        </div>
        <div class="flex md12 mb-2">
          After that you can move your running timer across the window as your
          pleasure.
        </div>
        <div class="flex md12 mb-2">
          If you enjoy using this timer, value to support me starring this
          project on Gitlab or donating on BuyMeACoffee.
        </div>
      </div>
    </slot>
    <template #footer>
      <va-button @click="showModal = !showModal"> Set </va-button>
    </template>
  </va-modal>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";
import TickTack from "./TickTack.vue";

@Options({
  components: {
    TickTack,
  },
})
export default class Setter extends Vue {
  showModal = true;
}
</script>
